# Uses of Class
org.apache.commons.math3.optimization.linear.LinearObjectiveFunction

Packages that use LinearObjectiveFunction
Package
Description
org.apache.commons.math3.optimization.linear
This package provides optimization algorithms for linear constrained problems.

## Uses of LinearObjectiveFunction in org.apache.commons.math3.optimization.linear

Methods in org.apache.commons.math3.optimization.linear that return LinearObjectiveFunction
Modifier and Type
Method
Description
`protected LinearObjectiveFunction`
AbstractLinearOptimizer.`getFunction()`
Deprecated.
Methods in org.apache.commons.math3.optimization.linear with parameters of type LinearObjectiveFunction
Modifier and Type
Method
Description
`PointValuePair`
AbstractLinearOptimizer.`optimize(LinearObjectiveFunction f, Collection<LinearConstraint> constraints, GoalType goalType, boolean restrictToNonNegative)`
Deprecated.
Optimizes an objective function.
`PointValuePair`
LinearOptimizer.`optimize(LinearObjectiveFunction f, Collection<LinearConstraint> constraints, GoalType goalType, boolean restrictToNonNegative)`
Deprecated.
Optimizes an objective function.